package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 渠道认证状态
 *
 */
public enum ChannelCertifyStatusEnum implements IEnum<String> {

  NOT_CERTIFIED("n", "未认证"),
  CERTIFIED("y", "已认证");

  private final String value;
  private final String desc;

  ChannelCertifyStatusEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }
}
