package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 渠道认证审核状态
 *
 */
public enum ChannelVerifyStatusEnum implements IEnum<String> {

  WAIT("wait", "待审核"),
  ACCEPT("accept", "已通过"),
  REJECT("reject", "已拒绝");

  private final String value;
  private final String desc;

  ChannelVerifyStatusEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }
}
