package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 支付订单枚举类型
 *
 */
public enum PayOrderTypeEnum implements IEnum<Integer> {

  ORDER_MERCH_RECHARGE(1, "商户充值");


  private final int value;
  private final String desc;

  PayOrderTypeEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }
}
