package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 盲票实体形式
 *
 */
public enum TicketTypeEnum implements IEnum<String> {

  ONLINE("online", "线上票"),
  OFFLINE("offline", "线下票");

  private final String value;
  private final String desc;

  TicketTypeEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }
}
