package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票实体类
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@TableName("mp_ticket")
@Data
public class Ticket implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ticket_id" , type = IdType.INPUT)
  private String ticketId;

  /**
   * 盲票组ID
   */
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票包ID
   */
  @TableField("pkg_id")
  private String pkgId;

  /**
   * 标题
   */
  @TableField("title")
  private String title;

  /**
   * 序列号
   */
  @TableField("serial_no")
  private String serialNo;

  /**
   * 面值
   */
  @TableField("face_price")
  private Integer facePrice;

  /**
   * 加密幸运数字
   */
  @TableField("cipher_lucky_num")
  private String cipherLuckyNum;

  /**
   * 明文幸运数字
   */
  @TableField("plain_lucky_num")
  private Integer plainLuckyNum;

  /**
   * 抽奖数字1描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num1")
  private String drawNum1;

  /**
   * 抽奖数字2描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num2")
  private String drawNum2;

  /**
   * 抽奖数字3描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num3")
  private String drawNum3;

  /**
   * 抽奖数字4描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num4")
  private String drawNum4;

  /**
   * 抽奖数字5描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num5")
  private String drawNum5;

  /**
   * 抽奖数字6描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num6")
  private String drawNum6;

  /**
   * 抽奖数字7描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num7")
  private String drawNum7;

  /**
   * 抽奖数字8描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num8")
  private String drawNum8;

  /**
   * 抽奖数字9描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num9")
  private String drawNum9;

  /**
   * 抽奖数字10描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num10")
  private String drawNum10;

  /**
   * 抽奖数字11描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num11")
  private String drawNum11;

  /**
   * 抽奖数字12描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num12")
  private String drawNum12;

  /**
   * 抽奖数字13描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num13")
  private String drawNum13;

  /**
   * 抽奖数字14描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num14")
  private String drawNum14;

  /**
   * 抽奖数字15描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num15")
  private String drawNum15;

  /**
   * 抽奖数字16描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num16")
  private String drawNum16;

  /**
   * 抽奖数字17描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num17")
  private String drawNum17;

  /**
   * 抽奖数字18描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num18")
  private String drawNum18;

  /**
   * 是否实体纸质票（0否1是）
   */
  @TableField("is_physical")
  private Integer isPhysical;

  /**
   * 盲票状态（初始、已激活、已开奖、已兑奖）
   */
  @TableField("status")
  private String status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
