package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qs.mp.admin.domain.TicketBox;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class TicketBoxListVO {
  /**
   * 主键
   */
  private String boxId;

  /**
   * 盲票组标题
   */
  private String title;

  /**
   * 主图url
   */
  private String picUrl;

  /**
   * 盲票张数
   */
  private Integer quantity;

  /**
   * 已售盲票张数
   */
  private Integer saleQty;

  /**
   * 盲票包原价
   */
  private Integer boxPrice;

  /**
   * 盲票包售价
   */
  private Integer boxSalePrice;

  /**
   * 每包盲票张数
   */
  private Integer pkgUnit;

  /**
   * 盲票包数
   */
  private Integer pkgQty;

  /**
   * 已销售包数
   */
  private Integer salePkgQty;

  /**
   * 盲票票面价格
   */
  private Integer facePrice;

  /**
   * 盲票销售价格
   */
  private Integer salePrice;

  /**
   * 分佣的销售额百分比
   */
  private BigDecimal saleCommRate;

  /**
   * 规格属性
   */
  private String properties;

  /**
   * 上架时间
   */
  private Date putonTime;
}
