package com.qs.mp.channel.mapper;

import com.qs.mp.channel.domain.ChannelUserRel;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @auther quanshu
 * @create 2022-03-02 12:23:22
 * @describe 经销商的用户mapper类
 */
public interface ChannelUserRelMapper extends BaseMapper<ChannelUserRel> {

    /**
     * 查询渠道及其子渠道经销商用户数总和
     * @param channelNo
     * @return
     */
    int getChannelUserCnt(@Param("channelNo") String channelNo);
}
