package com.qs.mp.pay.service;

import com.alibaba.fastjson.JSONObject;

/**
 * @auther duota
 * @create 2021 2021/9/4 1:58 下午
 * @describe
 */
public interface IWalletService {
  /**
   * 账户充值
   * @param merchId
   * @param money 单位分
   * @return
   */
  public JSONObject merchRechargeOrderCreate(String custId,String merchId,String refType,String refId, String userId,int money);

  /**
   *
   *订单支付回调统一处理函数
   * @param orderNo
   * @return
   */
  public void payOrderStatusHandle(String orderNo);

  /**
   * 账户提现
   * @param merchId
   * @param money
   * @return
   */
  public boolean drawings(String merchId,int money);

  /**
   * 账户提现申请
   * @param merchId
   * @param money 单位分
   * @return
   */
  public boolean drawingsApply(String merchId,int money);

  /**
   * 提现申请完成，充值冻结资金
   * @param merchId
   * @return
   */
  public boolean completeDrawingsApply(String merchId);

}
