package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 盲票组上下架状态
 *
 */
public enum TicketBoxStatusEnum implements IEnum<String> {

  PUT_ON("on", "上架"),
  PUT_OFF("off", "下架");

  private final String value;
  private final String desc;

  TicketBoxStatusEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }
}
