package com.qs.mp.pay.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qs.mp.pay.domain.PayOrder;
import com.qs.mp.pay.mapper.PayOrderMapper;
import com.qs.mp.pay.service.IPayOrderService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 支付订单表 服务实现类
 * </p>
 *
 * @author ygp
 * @since 2021-09-11
 */
@Service
public class PayOrderServiceImpl extends ServiceImpl<PayOrderMapper, PayOrder> implements
    IPayOrderService {

  protected final Logger logger = LoggerFactory.getLogger(this.getClass().getSimpleName());

  @Override
  @Transactional
  public boolean merchRecharge(PayOrder payOrder) {
    /*String merchId = payOrder.getOrderTypeRefId();
    String orderNo = payOrder.getOrderNo();
    //根据订单类型，查询商户ID
    if(PayOrderTypeEnum.ORDER_MRARCH_BILL.getValue() == payOrder.getOrderType().intValue()){
      //商户支付订单，查询商户信息
      MerchantBill merchantBill = merchantBillService.getById(payOrder.getOrderTypeRefId());
      if(merchantBill == null){
        LogUtil.error(logger,"账单不存在.billId："+payOrder.getOrderTypeRefId());
        return false;
      }
      merchId = merchantBill.getMerchId();
    }
    //查询资金流水表，是否存在重复订单号
    LambdaQueryWrapper<MerchantMoneyLog> logWrapper = new LambdaQueryWrapper<>();
    logWrapper.eq(MerchantMoneyLog::getRefId, orderNo);
    logWrapper.eq(MerchantMoneyLog::getMerchId, merchId);
    logWrapper.eq(MerchantMoneyLog::getRefType, payOrder.getOrderType());
    List<MerchantMoneyLog> logList = merchantMoneyLogService.list(logWrapper);
    if (logList.size() == 0) {
      Merchant merchant = merchantService.getById(merchId);
      if(null == merchant){
        LogUtil.error(logger,"商户不存在.merchId："+merchId);
        return false;
      }
      MerchantMoneyLog merchantMoneyLog = new MerchantMoneyLog();
      merchantMoneyLog.setBizTime(
          DateUtils.parseStrToDate(payOrder.getCompleteDate(), DateUtils.YYYY_MM_DD_HH_MM_SS));
      merchantMoneyLog.setMerchId(merchId); //商户ID
      merchantMoneyLog.setType(MerchantMoneyEnum.TYPE_RECHARGE);
      merchantMoneyLog.setCustId(payOrder.getCustId());  //客户ID
      merchantMoneyLog.setStoreId(merchant.getStoreId());
      merchantMoneyLog.setLogMoney(payOrder.getTransactionAmount());  //交易金额
      merchantMoneyLog.setRefId(payOrder.getOrderId()); //订单ID，全局唯一
      merchantMoneyLog.setRefType(payOrder.getOrderType()); //单据类型
      boolean result = merchantMoneyLogService.changeMerchantMoney(merchantMoneyLog);
      Customer customer = customerService.getById(merchantMoneyLog.getCustId());
      // 客户中配置了提现卡号，则认为是充值到了平台账户
      if (null != customer && StringUtils.isNotBlank(customer.getBankCardNo())) {
        CustomerMoneyLog customerMoneyLog = new CustomerMoneyLog();
        customerMoneyLog.setBizTime(merchantMoneyLog.getBizTime());
        customerMoneyLog.setType(CustomerMoneyTypeEnum.MERCH_RECHARGE);
        customerMoneyLog.setCustId(merchantMoneyLog.getCustId());
        customerMoneyLog.setLogMoney(merchantMoneyLog.getLogMoney());
        customerMoneyLog.setIncomeExpense(MerchantMoneyEnum.INCOME);
        customerMoneyLog.setRefId(payOrder.getOrderId());
        customerMoneyLog.setRefType(CustomerMoneyTypeEnum.MERCH_RECHARGE.getValue());
        Store store = storeService.getById(merchant.getStoreId());
        customerMoneyLog.setLogText(merchant.getBrand() + "-" + store.getName());
        customerMoneyLogService.changeCustomerMoney(customerMoneyLog);
      }
      if (result) {
        //充值成功，给订阅者发送消息
        try {
          pulsarClientService.producer(MqTopicType.merch_recharge, JSONObject.toJSONString(merchantMoneyLog));
        } catch (PulsarClientException e) {
          LogUtil.error(logger,"发送异步消息失败.",e);
        }
        return true;
      }
    }else{
      //Todo 数据结构异常，告警
      LogUtil.error(logger,"数据结构异常，违反唯一约束，orderNo："+orderNo);
      return false;
    }*/
    return false;
  }
}
